Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## calhoun.analysis.crf.features.tricycle13
Enum KmerFeatures.Cardinality

    java.lang.Object
      java.lang.Enum<KmerFeatures.Cardinality>
          calhoun.analysis.crf.features.tricycle13.KmerFeatures.Cardinality

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<KmerFeatures.Cardinality>

Enclosing class:
  KmerFeatures

    public static enum KmerFeatures.Cardinality

extends java.lang.Enum<KmerFeatures.Cardinality>

Enum Constant Summary
`PER_KMER`
`PER_STATE`
`SINGLE`

Method Summary
`static KmerFeatures.Cardinality` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static KmerFeatures.Cardinality[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SINGLE

    public static final KmerFeatures.Cardinality SINGLE

### PER_STATE

    public static final KmerFeatures.Cardinality PER_STATE

### PER_KMER

    public static final KmerFeatures.Cardinality PER_KMER

Method Detail

### values

    public static final KmerFeatures.Cardinality[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(KmerFeatures.Cardinality c : KmerFeatures.Cardinality.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static KmerFeatures.Cardinality valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD